import { DegreePlannerDataService } from './../../../core/service/degree-planner-data.service';
import { Component, OnInit, Input, Inject } from '@angular/core';
import { MatDialogRef, MAT_DIALOG_DATA } from '@angular/material';
import { DataService } from '../../../core/data.service';
import { Course } from '../../../core/models/course';
import { SavedForLaterCourse } from '../../../core/models/saved-for-later-course';

@Component({
	selector: 'cse-remove-course-confirm-dialog',
	templateUrl: './remove-course-confirm-dialog.component.html',
	styleUrls: ['./remove-course-confirm-dialog.component.scss']
})
export class RemoveCourseConfirmDialogComponent implements OnInit {
	course: Course;
	savedForLater: Boolean;
	courses: Course[];
	favoriteCourses: SavedForLaterCourse[];

	// tslint:disable-next-line:max-line-length
	constructor(private dataService: DataService,
		private dialogRef: MatDialogRef<RemoveCourseConfirmDialogComponent>,
		private degreePlannerDataSvc: DegreePlannerDataService,
		@Inject(MAT_DIALOG_DATA) data: any) {
		this.course = data.course;
		this.courses = data.courses;
		this.favoriteCourses = data.favoriteCourses;
		this.savedForLater = data.savedForLater;
	}

	ngOnInit() {
	}

	removeCourseFromUI(courseItem) {
		const index = courseItem.indexOf(this.course, 0);
		if (index > -1) {
			courseItem = courseItem.splice(index, 1);
		}
	}

	// Remove this course from the degree plan
	removeCourse() {
		if (this.savedForLater) {
			this.dataService.removeFavoriteCourse(this.course.subjectCode, this.course.courseId)
			.subscribe(data => {
				console.log("Update UI missing");
				// this.removeCourseFromUI(this.favoriteCourses);
			});
		} else {
			this.dataService.removeCourse(this.degreePlannerDataSvc.getPlanId(), this.course.id)
			.subscribe(data => {
				console.log("Update UI missing");
				// this.removeCourseFromUI(this.courses);
		});
		}
	}
}
