import { Component, OnInit } from '@angular/core';
import { Observable } from 'rxjs';
import { Store, select } from '@ngrx/store';
import { SavedForLaterCourse } from '@app/core/models/saved-for-later-course';
import { GlobalState } from '@app/core/state';
import { getSavedForLaterCourses } from '@app/degree-planner/selectors';

@Component({
	selector: 'cse-favorites-container',
	templateUrl: './favorites-container.component.html',
	styleUrls: ['./favorites-container.component.scss']
})
export class SavedForLaterContainerComponent implements OnInit {
	public courses$: Observable<SavedForLaterCourse[]>;

	constructor(public store$: Store<GlobalState>) {}

	public ngOnInit() {
		this.courses$ = this.store$.pipe(select(getSavedForLaterCourses));
	}
}
